<?php
ob_start();
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../../includes/lib_lenguaje.php");
$cleguaje=new cLanguage("../../phplang/");

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../../includes/MySQL.php");
require_once('../../includes/html2pdf/html2pdf.class.php'); 
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$configuracion=$sesion->get('configuracion');
$nombre_grupo=$configuracion['nombres_grupos'];


$opcion = $_GET['ob_radio']; /*= 1*/
$orientacion=$_GET['ob_orientacion'];
$tamano=$_GET['ob_tamano'];
$margenes=$_GET['ob_margenes'];
$retirado=$_GET['retirado'];
$tipo_listado=$cleguaje->Phrase('listados','tipo_notas');
$codgrupo=$_GET['codgru']; 

//echo $retirado; 
$archivo='Listado notas ' . $_GET['grado'] . " " . $_GET['grupo'] . " - " . $_GET['jorn'] . '.pdf';

?> 
 <page backtop="170px" backbottom="7mm" backleft="5mm" backright="10mm" > 
      <page_header > 
			<?php include('encabezado_notas.php'); ?>
      </page_header> 
      <page_footer> 
           Institución Educativa Alvernia
           
      </page_footer> 
<?php
	$cond='';
	if ($retirado<>'on'){
		$cond='and aca_estudiantes.matriculado="S" and aca_estudiantes.estado_est="1"';
	}

    $consulta="SELECT CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est) AS nombre
    , aca_estudiantes.fecharetiro_est
    , if (aca_estudiantes.matriculado='S','Sí','No') as matriculado
	, if (aca_estudiantes.estado_est='1','Sí','No') as estado
FROM aca_estudiantesxgrupos
    INNER JOIN aca_estudiantes 
        ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
	WHERE aca_estudiantesxgrupos.cod_grupo =$codgrupo $cond order by nombre";

	
/*	WHERE aca_grupos.cod_sede =$sede aND aca_grupos.cod_grupo =$grupo AND aca_grupos.cod_jornada =$jornada order by nombre";
*/
	$i=1;
	
	$academia->instruccion($consulta);
	
	?>
    <style type="text/css">
table#sa
{
	width:100%;	
    padding: 0;
    border: solid 1px;
    background: #FFFFFF;
    vertical-align: middle;
	border-collapse:collapse;
}

#sa td
{
    padding: 1px;
    border: solid 1px;
    text-align: left;
    font-size: 10pt;
	
}
#sa th
{
    padding: 1px;
    border: solid 1px;
    text-align: center;
    
}
#grande th
{
    padding: 1px;
    border: solid 1px;
    text-align: center;
	height:50px;
}


	</style>
    <table id='sa'>
	<tr id='grande'><th colspan='2'>Actividades</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th></tr>
	<tr ><th style='width:6%'>No.</th><th style='width:43%'>Estudiante</th><th style='width: 6%'><?php echo ($retirado == 'on') ? 'Mat.' : '&nbsp;Nota&nbsp;'; ?></th><th style='width: 6%'><?php echo ($retirado == 'on') ? 'Activo' : '&nbsp;Nota&nbsp;'; ?></th><th style='width: 6%'>&nbsp;Nota&nbsp;</th><th style='width: 6%'>&nbsp;Nota&nbsp;</th><th style='width: 6%'>&nbsp;Nota&nbsp;</th><th style='width: 6%'>&nbsp;Nota&nbsp;</th><th style='width: 6%'>&nbsp;Nota&nbsp;</th><th style='width: 10%'>&nbsp;Definitiva&nbsp;</th></tr>

    <?php 
    while($row = $academia->extraer_registro())
    {
		$mat= ($retirado == 'on') ? $row['matriculado'] : '&nbsp;';
		$ret= ($retirado == 'on') ? $row['estado'] : '&nbsp;'; 
		echo "<tr><td>".$i. "</td> <td>".$row['nombre']."</td><td align='center'>". $mat . "</td><td align='center'>". $ret ."</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>";
		$i=$i+1;
	}
#    echo "</td>";    
#    echo "</tr>";
    echo "</table>";
	$academia->liberar();



?>
 </page> 
 
 
 
 <?php 
      $content = ob_get_clean(); 
      $pdf = new HTML2PDF($orientacion,$tamano,'es', array(mL, mT, mR, mB)); 
	  $pdf->pdf->SetDisplayMode('fullwidth');   

      $pdf->WriteHTML($content); 
      $pdf->Output($archivo); 
 ?>






